/**
 * \file cc_message_list.h
 * \brief CKPM C parser message list definitions
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Authors: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef	_CKPM_CC_MESSAGE_LIST_H_
#define	_CKPM_CC_MESSAGE_LIST_H_

#define	msgtype_t	int
#define	MSG_TYPE_ERR	0
#define	MSG_TYPE_WARN	1
#define	MSG_TYPE_INFO	2

#define	MSG_TYPE_MAX	3

/**
 * \struct _message_list
 * \brief saves messages for later use
 *****************************************************************************/

struct _message_list {
   char *msg;				/*!< actual message */
   msgtype_t type;			/*!< the type of the message */
   struct _message_list* next;		/*!< pointer to next entry or 0 */
};


/*
 * forward declarations
 */
struct _message_list* Message_List_Append (struct _message_list* ml, char* m, msgtype_t t);
struct _message_list* Message_List_Shift  (struct _message_list* ml, char** m, msgtype_t* t);
void Message_Destroy  (struct _message_list* ml);
void Message_List_Print  (struct _message_list* ml, int fd, char* m, msgtype_t* t);


#endif /* _CKPM_CC_MESSAGE_LIST_H_ */

