/**
 * \file cc_token_list.h
 * \brief CKPM C parser token list definitions
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Authors: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef	_CKPM_CC_TOKEN_LIST_H_
#define	_CKPM_CC_TOKEN_LIST_H_

#include "cpp_token.h"


/**
 * \struct _token_list
 * \brief saves tokens for later use
 *****************************************************************************/

struct _token_list {
   struct _token* t;			/*!< actual token */
   struct _token_list* next;		/*!< pointer to next entry or 0 */
};


/*
 * forward declarations
 */
struct _token_list* Token_List_Append (struct _token_list* tl, struct _token* t);
struct _token_list* Token_List_Shift  (struct _token_list* tl, struct _token* t);
void Token_List_Destroy  (struct _token_list* tl);


#endif /* _CKPM_CC_TOKEN_LIST_H_ */

