/**
 * \file libc_test.h
 * \brief CKPM C library test driver definitions
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Author: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef	_CKPM_LIBC_TEST_H_
#define	_CKPM_LIBC_TEST_H_


int cpp_string_test ();
int cpp_strings_test ();

#define CHK_RESULT(n,f,r) \
	{ int l=f; if (l == r) ok++; else fail++; \
	printf ("Test %s %s (%d,%d)\n",n,(l == r)?"succeeded":"failed",l,r); }

#define	CHK_RESULT_STR(n,f,r) \
	{ char *l=f; if (!strcmp(l,r)) ok++; else fail++; \
        printf ("Test %s %s (%s,%s)\n",n,strcmp(l,r)?"failed":"succeeded",l,r); }

#define	CHK_RESULT_STRN(n,f,r,x) \
	{ char *l=f; if (!strncmp(l,r,x)) ok++; else fail++; \
        printf ("Test %s %s (%s,%s)\n",n,strncmp(l,r,x)?"failed":"succeeded",l,r); }


#endif /* _CKPM_LIBC_TEST_H_ */

